pspp-cvs
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[Pspp-cvs] pspp/tests ChangeLog command/very-long-strings.sh


From: Ben Pfaff
Subject: [Pspp-cvs] pspp/tests ChangeLog command/very-long-strings.sh
Date: Mon, 23 Jul 2007 04:40:22 +0000

CVSROOT:        /cvsroot/pspp
Module name:    pspp
Changes by:     Ben Pfaff <blp> 07/07/23 04:40:22

Modified files:
        tests          : ChangeLog 
        tests/command  : very-long-strings.sh 

Log message:
        Test both compressed and uncompressed system files with very long
        strings.

CVSWeb URLs:
http://cvs.savannah.gnu.org/viewcvs/pspp/tests/ChangeLog?cvsroot=pspp&r1=1.96&r2=1.97
http://cvs.savannah.gnu.org/viewcvs/pspp/tests/command/very-long-strings.sh?cvsroot=pspp&r1=1.5&r2=1.6

Patches:
Index: ChangeLog
===================================================================
RCS file: /cvsroot/pspp/pspp/tests/ChangeLog,v
retrieving revision 1.96
retrieving revision 1.97
diff -u -b -r1.96 -r1.97
--- ChangeLog   18 Jul 2007 03:20:26 -0000      1.96
+++ ChangeLog   23 Jul 2007 04:40:21 -0000      1.97
@@ -1,3 +1,8 @@
+2007-07-22  Ben Pfaff  <address@hidden>
+
+       * command/very-long-strings.sh: Test both compressed and
+       uncompressed system files with very long strings.
+
 2007-07-17  Ben Pfaff  <address@hidden>
 
        Patch #19335.  Reviewed by John Darrington.

Index: command/very-long-strings.sh
===================================================================
RCS file: /cvsroot/pspp/pspp/tests/command/very-long-strings.sh,v
retrieving revision 1.5
retrieving revision 1.6
diff -u -b -r1.5 -r1.6
--- command/very-long-strings.sh        4 Apr 2007 04:25:48 -0000       1.5
+++ command/very-long-strings.sh        23 Jul 2007 04:40:21 -0000      1.6
@@ -121,9 +121,9 @@
 if [ $? -ne 0 ] ; then no_result ; fi
 
 
-
-activity="Create file1"
-cat > $TESTFILE <<EOF
+for options in uncompressed compressed; do
+    activity="Create file1 ($options)"
+    cat > $TESTFILE <<EOF
 DATA LIST FIXED FILE='$TEMPDIR/data'  /a 2-11 (a) 
  b (a256) 
  c (a200) 
@@ -131,19 +131,18 @@
  .
 
 
-SAVE OUTFILE='$TEMPDIR/foo.sav' /UNCOMPRESSED.
+SAVE OUTFILE='$TEMPDIR/foo.sav' /$options.
 
 EOF
-if [ $? -ne 0 ] ; then no_result ; fi
-
+    if [ $? -ne 0 ] ; then no_result ; fi
 
 
-activity="run program 1"
-$SUPERVISOR $PSPP --testing-mode -o raw-ascii $TESTFILE
-if [ $? -ne 0 ] ; then no_result ; fi
+    activity="run program 1 ($options)"
+    $SUPERVISOR $PSPP --testing-mode -o raw-ascii $TESTFILE
+    if [ $? -ne 0 ] ; then no_result ; fi
 
-activity="Create file2"
-cat > $TESTFILE <<EOF
+    activity="Create file2 ($options)"
+    cat > $TESTFILE <<EOF
 
 GET FILE='$TEMPDIR/foo.sav'.
 
@@ -157,23 +156,23 @@
 EXECUTE.
 
 EOF
-if [ $? -ne 0 ] ; then no_result ; fi
+    if [ $? -ne 0 ] ; then no_result ; fi
 
-activity="run program 2"
-$SUPERVISOR $PSPP --testing-mode -o raw-ascii $TESTFILE
-if [ $? -ne 0 ] ; then no_result ; fi
+    activity="run program 2 ($options)"
+    $SUPERVISOR $PSPP --testing-mode -o raw-ascii $TESTFILE
+    if [ $? -ne 0 ] ; then no_result ; fi
 
 
 # Check that the file read back in has the same data as what we wrote.
 
-activity="compare print"
-diff -b $TEMPDIR/out.txt $TEMPDIR/data
-if [ $? -ne 0 ] ; then fail ; fi
+    activity="compare print ($options)"
+    diff --text -b $TEMPDIR/out.txt $TEMPDIR/data
+    if [ $? -ne 0 ] ; then fail ; fi
 
 
-activity="compare variable display"
-perl -pi -e 's/^\s*$//g' $TEMPDIR/pspp.list
-diff -b $TEMPDIR/pspp.list - <<EOF
+    activity="compare variable display ($options)"
+    perl -pi -e 's/^\s*$//g' $TEMPDIR/pspp.list
+    diff -b $TEMPDIR/pspp.list - <<EOF
 1.1 DISPLAY.  
 +--------+-------------------------------------------+--------+
 |Variable|Description                                |Position|
@@ -187,7 +186,7 @@
 |d       |Format: A32767                             |       4|
 +--------+-------------------------------------------+--------+
 EOF
-if [ $? -ne 0 ] ; then fail ; fi
-
+    if [ $? -ne 0 ] ; then fail ; fi
+done
 
 pass;




reply via email to

[Prev in Thread] Current Thread [Next in Thread]